<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-variables">
                   <div class="content-data">















<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Variables</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#baseI18N" title="src/app/i18n/i18n.ts"><b>baseI18N</b>&nbsp;&nbsp;&nbsp;(src/.../i18n.ts)</a>
                        </li>
                        <li>
                            <a href="#btoa" title="e2e/page-objects/main.po.ts"><b>btoa</b>&nbsp;&nbsp;&nbsp;(e2e/.../main.po.ts)</a>
                        </li>
                        <li>
                            <a href="#context" title="src/test.ts"><b>context</b>&nbsp;&nbsp;&nbsp;(src/.../test.ts)</a>
                        </li>
                        <li>
                            <a href="#environment" title="src/environments/environment.ts"><b>environment</b>&nbsp;&nbsp;&nbsp;(src/.../environment.ts)</a>
                        </li>
                        <li>
                            <a href="#environment" title="src/environments/environment.prod.ts"><b>environment</b>&nbsp;&nbsp;&nbsp;(src/.../environment.prod.ts)</a>
                        </li>
                        <li>
                            <a href="#i18n" title="src/app/i18n/i18n.ts"><b>i18n</b>&nbsp;&nbsp;&nbsp;(src/.../i18n.ts)</a>
                        </li>
                        <li>
                            <a href="#i18n_global" title="src/app/i18n/global.i18n.ts"><b>i18n_global</b>&nbsp;&nbsp;&nbsp;(src/.../global.i18n.ts)</a>
                        </li>
                        <li>
                            <a href="#labelNotAlreadyUsed" title="src/app/core/util/form-utils.ts"><b>labelNotAlreadyUsed</b>&nbsp;&nbsp;&nbsp;(src/.../form-utils.ts)</a>
                        </li>
                        <li>
                            <a href="#REGEX_ALPHA_NUMERICAL_WITH_ACCENT" title="src/app/core/util/form-utils.ts"><b>REGEX_ALPHA_NUMERICAL_WITH_ACCENT</b>&nbsp;&nbsp;&nbsp;(src/.../form-utils.ts)</a>
                        </li>
                        <li>
                            <a href="#request" title="e2e/shared/mock-server.ts"><b>request</b>&nbsp;&nbsp;&nbsp;(e2e/.../mock-server.ts)</a>
                        </li>
                        <li>
                            <a href="#require" title="src/test.ts"><b>require</b>&nbsp;&nbsp;&nbsp;(src/.../test.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>src/app/i18n/i18n.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="baseI18N"></a>
                        <span class="name">
                            <b>
                            baseI18N
                            </b>
                            <a href="#baseI18N"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>baseI18N:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
  de: {
    &quot;global&quot;: i18n_global.de,
  },
  fr: {
    &quot;global&quot;: i18n_global.fr,
  },
  it: {
    &quot;global&quot;: i18n_global.it,
  },
  rm: {
    &quot;global&quot;: i18n_global.rm,
  }
}</code>
                        </td>
                    </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="i18n"></a>
                        <span class="name">
                            <b>
                            i18n
                            </b>
                            <a href="#i18n"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>i18n:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>autoPrefixMissingTranslation(
  baseI18N, [&#x27;de&#x27;, &#x27;it&#x27;, &#x27;rm&#x27;]
)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>e2e/page-objects/main.po.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="btoa"></a>
                        <span class="name">
                            <b>
                            btoa
                            </b>
                            <a href="#btoa"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>btoa:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>require(&#x27;btoa&#x27;)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>src/test.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="context"></a>
                        <span class="name">
                            <b>
                            context
                            </b>
                            <a href="#context"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>context:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>require.context(&#x27;./&#x27;, true, /\.spec\.ts$/)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="require"></a>
                        <span class="name">
                            <b>
                            require
                            </b>
                            <a href="#require"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>require:     <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>src/environments/environment.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="environment"></a>
                        <span class="name">
                            <b>
                            environment
                            </b>
                            <a href="#environment"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>environment:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
  production: false
}</code>
                        </td>
                    </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><hr>
<div><pre class="line-numbers"><code class="language-none">                                                                                           *</code></pre></div><ul>
<li>#%L                                                                                         *</li>
<li>CHVote-Receiver                                                                             *</li>
<li>%%                                                                                          *</li>
<li>Copyright (C) 2016 - 2018 République et Canton de Genève                                    *</li>
<li>%%                                                                                          *</li>
<li>This program is free software: you can redistribute it and/or modify                        *</li>
<li>it under the terms of the GNU Affero General Public License as published by                 *</li>
<li>the Free Software Foundation, either version 3 of the License, or                           *</li>
<li>(at your option) any later version.                                                         *</li>
<li>*</li>
<li>This program is distributed in the hope that it will be useful,                             *</li>
<li>but WITHOUT ANY WARRANTY; without even the implied warranty of                              *</li>
<li>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *</li>
<li>GNU General Public License for more details.                                                *</li>
<li>*</li>
<li>You should have received a copy of the GNU Affero General Public License                    *</li>
<li>along with this program. If not, see <a href="http://www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>.                        *</li>
<li>#L%                                                                                         *<div><pre class="line-numbers"><code class="language-none">                                                                                         *</code></pre></div></li>
</ul>
<hr>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
</section>
    <h3>src/environments/environment.prod.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="environment"></a>
                        <span class="name">
                            <b>
                            environment
                            </b>
                            <a href="#environment"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>environment:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
  production: true
}</code>
                        </td>
                    </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><hr>
<div><pre class="line-numbers"><code class="language-none">                                                                                           *</code></pre></div><ul>
<li>#%L                                                                                         *</li>
<li>CHVote-Receiver                                                                             *</li>
<li>%%                                                                                          *</li>
<li>Copyright (C) 2016 - 2018 République et Canton de Genève                                    *</li>
<li>%%                                                                                          *</li>
<li>This program is free software: you can redistribute it and/or modify                        *</li>
<li>it under the terms of the GNU Affero General Public License as published by                 *</li>
<li>the Free Software Foundation, either version 3 of the License, or                           *</li>
<li>(at your option) any later version.                                                         *</li>
<li>*</li>
<li>This program is distributed in the hope that it will be useful,                             *</li>
<li>but WITHOUT ANY WARRANTY; without even the implied warranty of                              *</li>
<li>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *</li>
<li>GNU General Public License for more details.                                                *</li>
<li>*</li>
<li>You should have received a copy of the GNU Affero General Public License                    *</li>
<li>along with this program. If not, see <a href="http://www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>.                        *</li>
<li>#L%                                                                                         *<div><pre class="line-numbers"><code class="language-none">                                                                                         *</code></pre></div></li>
</ul>
<hr>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
</section>
    <h3>src/app/i18n/global.i18n.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="i18n_global"></a>
                        <span class="name">
                            <b>
                            i18n_global
                            </b>
                            <a href="#i18n_global"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>i18n_global:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
  fr: {
    &quot;errors&quot;: {
      &quot;unexpected&quot;: &quot;Une erreur inattendue s&#x27;est produite&quot;
    },
    &quot;technical-error-dialog&quot;: {
      &quot;title&quot;: &quot;Erreur technique&quot;
    }
  },
  de: {
    &quot;errors&quot;: {
      &quot;unexpected&quot;: &quot;DE - Une erreur inattendue s&#x27;est produite&quot;
    },
    &quot;technical-error-dialog&quot;: {
      &quot;title&quot;: &quot;DE - Erreur technique&quot;
    }
  },
  it: {
    &quot;errors&quot;: {
      &quot;unexpected&quot;: &quot;IT - Une erreur inattendue s&#x27;est produite&quot;
    },
    &quot;technical-error-dialog&quot;: {
      &quot;title&quot;: &quot;IT - Erreur technique&quot;
    }
  },
  rm: {
    &quot;errors&quot;: {
      &quot;unexpected&quot;: &quot;RM - Une erreur inattendue s&#x27;est produite&quot;
    },
    &quot;technical-error-dialog&quot;: {
      &quot;title&quot;: &quot;RM - Erreur technique&quot;
    }
  }
}</code>
                        </td>
                    </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><hr>
<div><pre class="line-numbers"><code class="language-none">                                                                                           *</code></pre></div><ul>
<li>#%L                                                                                         *</li>
<li>CHVote-Receiver                                                                             *</li>
<li>%%                                                                                          *</li>
<li>Copyright (C) 2016 - 2018 République et Canton de Genève                                    *</li>
<li>%%                                                                                          *</li>
<li>This program is free software: you can redistribute it and/or modify                        *</li>
<li>it under the terms of the GNU Affero General Public License as published by                 *</li>
<li>the Free Software Foundation, either version 3 of the License, or                           *</li>
<li>(at your option) any later version.                                                         *</li>
<li>*</li>
<li>This program is distributed in the hope that it will be useful,                             *</li>
<li>but WITHOUT ANY WARRANTY; without even the implied warranty of                              *</li>
<li>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *</li>
<li>GNU General Public License for more details.                                                *</li>
<li>*</li>
<li>You should have received a copy of the GNU Affero General Public License                    *</li>
<li>along with this program. If not, see <a href="http://www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>.                        *</li>
<li>#L%                                                                                         *<div><pre class="line-numbers"><code class="language-none">                                                                                         *</code></pre></div></li>
</ul>
<hr>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
</section>
    <h3>src/app/core/util/form-utils.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="labelNotAlreadyUsed"></a>
                        <span class="name">
                            <b>
                            labelNotAlreadyUsed
                            </b>
                            <a href="#labelNotAlreadyUsed"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>labelNotAlreadyUsed:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>function(labelsProvider : () &#x3D;&gt; string[]) : ValidatorFn  {
  return c &#x3D;&gt; {
    if (labelsProvider().indexOf(c.value) &gt;&#x3D; 0) {
      return {&quot;label-already-used&quot;: true};
    } else {
      return null;
    }
  }
}</code>
                        </td>
                    </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="REGEX_ALPHA_NUMERICAL_WITH_ACCENT"></a>
                        <span class="name">
                            <b>
                            REGEX_ALPHA_NUMERICAL_WITH_ACCENT
                            </b>
                            <a href="#REGEX_ALPHA_NUMERICAL_WITH_ACCENT"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>REGEX_ALPHA_NUMERICAL_WITH_ACCENT:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>/^[ \wáàâäãåçéèêëíìîïñóòôöõúùûüýÿæœßÁÀÂÄÃÅÇÉÈÊËÍÌÎÏÑÓÒÔÖÕÚÙÛÜÝŸÆŒ]*$/</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>
    <h3>e2e/shared/mock-server.ts</h3>
    <section>
    <h3></h3>        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="request"></a>
                        <span class="name">
                            <b>
                            request
                            </b>
                            <a href="#request"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>request:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>require(&quot;request&quot;)</code>
                        </td>
                    </tr>


            </tbody>
        </table>
</section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-variables';
            var COMPODOC_CURRENT_PAGE_URL = 'variables.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
